Get Indexing Error

Get Indexing Error
Get an indexing error by its ID.

This method allows you to details about an error that occurred during an indexing by its ID.

When documents are processed as part of an indexing, the PAIS system has to perform several steps.

First, if the knowledge base of the index is linked to a data source, it must find all documents that are part of the data source. If this step fails (e.g., if the settings or credentials of the data source are invalid), the an indexing error is reported for the indexing. This indexing error is linked to the data source, for which crawling failed. The source of the indexing error is set to DATA_SOURCE to indicate that the most likely culprit is the data source configuration.

If crawling succeeds, all documents that have not yet been processed for an index are downloaded. If this fails for any document, an indexing error is reported similar to how errors are reported during the crawling phase, but the indexing error is additionally linked to the document that failed to be processed.

Next, each downloaded document is parsed to extract text, and the text is chunked according to the index configuration. If this step fails (e.g., if the document cannot be parsed successfully, if the system fails to identify the type of document, or if the document type is not supported), an indexing error is reported and linked to the corresponding document. The source of the indexing error is set to DOCUMENT to indicate that the problem lies in the document itself.

Last, each document chunk is embedded using the configured embedding model and stored into the index. If this step fails (e.g., if the embedding model is unavailable, or if storing the generated data fails), an indexing error is reported. The source of the indexing error is set to INDEXING to indicate that the problem lies with the indexing or the index itself - as neither the data source nor the document are causing the specific problem.

Thus, when you are diagnosing why an indexing fails, it is important to consider the source of the indexing error.

Each indexing error contains a well-documented code property that identifies what the exact error is that was encountered. Additionally, the system_message contains error details, if the PAIS system interacted with a third-party component and that component returned an error message. The op_id allows to correlate an error with system logs of the PAIS installation. The system_message and op_id are typically only necessary when requesting assistance from PAIS support, and for most troubleshooting, the code should be sufficient.

For details on indexings, refer to the method to Trigger an indexing.

Request
URI
GET
https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/indexings/{indexing_id}/errors/{error_id}
COPY
Path Parameters
string
knowledge_base_id
Required

knowledge_base_id

string
index_id
Required

index_id

string
indexing_id
Required

indexing_id

string
error_id
Required

error_id


Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Returns IndexingError of type(s) application/json
{
    "id": "string",
    "code": "string",
    "source": "string",
    "created_at": 0,
    "document": {
        "origin_name": "string",
        "origin_ref": "string",
        "custom_origin_name": "string",
        "custom_origin_ref": "string",
        "id": "string",
        "object": "string",
        "state": "string",
        "media_type": "string",
        "knowledge_base_id": "string",
        "index_id": "string",
        "data_source_id": "string",
        "created_at": 0,
        "last_embedded_at": 0,
        "last_indexed_by_id": "string",
        "size_bytes": 0,
        "hash_sha256": "string",
        "reindexing_needed": false
    },
    "data_source_id": "string",
    "indexing_id": "string",
    "system_message": "string",
    "op_id": "string"
}
string As uuid As uuid
id
Required

ID of the indexing error.

string
code
Required

Error codes identifying errors that occur during an indexing of a knowledge base.

Possible values are : CRAWLING_GENERAL_ERROR, CRAWLING_DATA_SOURCE_ERROR, CRAWLING_CANCELLED_ERROR, CRAWLING_DATA_SOURCE_S3_BUCKET_DOES_NOT_EXIST, CRAWLING_DATA_SOURCE_CONFLUENCE_SPACE_DOES_NOT_EXIST, CRAWLING_DATA_SOURCE_CONFLUENCE_PAGE_DOES_NOT_EXIST, CRAWLING_DATA_SOURCE_SHAREPOINT_SUBSITE_DOES_NOT_EXIST, CRAWLING_DATA_SOURCE_SHAREPOINT_FOLDER_DOES_NOT_EXIST, DOCUMENT_INDEXING_GENERAL_ERROR, DOCUMENT_INDEXING_UPLOAD_ERROR, DOCUMENT_INDEXING_DOWNLOAD_ERROR, DOCUMENT_INDEXING_EXCEEDS_SIZE_LIMIT, DOCUMENT_INDEXING_PARSING_ERROR, DOCUMENT_INDEXING_FIPS_NON_COMPLAINT_ERROR, DOCUMENT_INDEXING_UNSUPPORTED_ERROR, DOCUMENT_INDEXING_EMBEDDINGS_MODEL_ERROR, DOCUMENT_INDEXING_EMBEDDINGS_LLAMA_INDEX_ERROR, DOCUMENT_INDEXING_EMBEDDINGS_CONNECTION_ERROR, DOCUMENT_INDEXING_EMBEDDINGS_MODEL_NOT_FOUND_ERROR, DOCUMENT_INDEXING_EMBEDDINGS_MODEL_ENDPOINT_ERROR, DOCUMENT_INDEXING_EMBEDDINGS_ERROR, DOCUMENT_INDEXING_UNFINISHED_ERROR, DOCUMENT_INDEXING_EXCEEDS_SPLIT_LIMIT, DATA_SOURCE_INVALID_CREDENTIALS, DATA_SOURCE_PERMISSION_ERROR, DATA_SOURCE_CONNECTION_ERROR, INDEXING_UNEXPECTED_ERROR, DATA_SOURCE_UNLINK_INVALID_STATE, KNOWLEDGE_BASE_NOT_LINKED_TO_DATA_SOURCE, CLONING_INVALID_INDEX,
string
source
Required

Source of an indexing error (i.e., the level at which the error needs to be addressed).

Possible values are : INDEXING, DATA_SOURCE, DOCUMENT,
integer
created_at
Required

Unix timestamp (in seconds) when the error occurred.

document
Optional

The document (if applicable) for which the error was reported.

string As uuid As uuid
data_source_id
Optional

ID of the data source (if applicable) for which the error was reported.

string As uuid As uuid
indexing_id
Required

ID of the indexing, during which the error was reported.

string
system_message
Required

Internal tracing data captured when the error was reported. Exposed for reporting errors when requesting technical support or troubleshooting (if the exposed error code is not sufficient for identifying the problem).

string
op_id
Required

Internal tracing identifier linking errors to internal system logs.


404

Invalid combination of knowledge base ID, index ID, indexing ID, error ID.

Operation doesn't return any data structure

422

Validation Error

Returns HTTPValidationError of type(s) application/json
{
    "detail": [
        {
            "loc": [
                {}
            ],
            "msg": "string",
            "type": "string"
        }
    ]
}
array of object
detail
Optional

detail


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v1/control/knowledge-bases/{knowledge_base_id}/indexes/{index_id}/indexings/{indexing_id}/errors/{error_id}